Index: channels/chan_h323.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_h323.c,v
retrieving revision 1.45
diff -u -r1.45 chan_h323.c
--- channels/chan_h323.c	22 Apr 2004 00:20:33 -0000	1.45
+++ channels/chan_h323.c	28 Apr 2004 20:24:10 -0000
@@ -54,13 +54,13 @@
 #include <fcntl.h>
 #include <netdb.h>
 #include <sys/signal.h>
-#include <netinet/ip.h>
 #ifdef __OpenBSD__
 #include <netinet/in_systm.h>
 #ifndef IPTOS_MINCOST
 #define IPTOS_MINCOST 0x02
 #endif
 #endif
+#include <netinet/ip.h>
 
 #include "h323/chan_h323.h"
 
Index: channels/h323/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/h323/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- channels/h323/Makefile	21 Apr 2004 02:28:05 -0000	1.14
+++ channels/h323/Makefile	28 Apr 2004 20:24:10 -0000
@@ -39,7 +39,10 @@
 # Pre Janus release directives
 CFLAGS += -DNDEBUG -DDO_CRASH -DDEBUG_THREADS
 CFLAGS += -pipe -Wall -fPIC -Wmissing-prototypes -Wmissing-declarations
-CFLAGS += -DP_LINUX  -D_REENTRANT -D_GNU_SOURCE
+ifeq (${OSARCH},Linux)
+CFLAGS += -DP_LINUX
+endif
+CFLAGS += -D_REENTRANT -D_GNU_SOURCE
 CFLAGS += -DP_HAS_SEMAPHORES -DP_SSL -DP_PTHREADS
 CFLAGS += -DPHAS_TEMPLATES -DPTRACING -DP_USE_PRAGMA
 CFLAGS += -I../../include
